Download cached audio file
Download the cached audio file as a WAV binary. Returns the raw audio bytes for the given cache entry ID.
GET
/
v1
/
agents
/
{agentId}
/
audio-cache
/
{entryId}
/
file
Download cached audio file
curl --request GET \
--url https://api.us.poly.ai/v1/agents/{agentId}/audio-cache/{entryId}/file \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.us.poly.ai/v1/agents/{agentId}/audio-cache/{entryId}/file"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.us.poly.ai/v1/agents/{agentId}/audio-cache/{entryId}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}Last modified on June 9, 2026
Was this page helpful?
Previous
Replace cached audio fileReplace the audio file for an existing cache entry. Send raw WAV bytes as the request body with `Content-Type: audio/wav`. Optionally include an `X-Filename` header to name the file, otherwise defaults to `<entryId>.wav`. Maximum file size is 6 MB.
Next
⌘I
Download cached audio file

